import type { PostMeta } from '@blog/models/PostMeta';

function formatDate(date: Date): string {
  return `${date.getFullYear()}-${date.getMonth()}-${date.getDay()}`;
}

export function PostList({ posts }: { posts: PostMeta[] }) {
  return(
    <ul>
      {posts.map(p => {
        return (
          <li>
            {p.date.toISOString().slice(0,10)} - <a href={"/posts/" + p.slug}>{p.title}</a>
          </li>
        );
      })}
    </ul>
  );
}
